@import 'scss/mixins';

.search {
    height: 48px;
    width: 100%;
    padding: 8px 8px 8px 16px;
    border-radius: 4px;
    margin-bottom: 16px;
    box-shadow: rgba(0, 0, 0, 0.12) 0px 1px 3px, rgba(0, 0, 0, 0.24) 0px 1px 2px;

    &::placeholder {
        color: rgba(9, 30, 66, 0.25);
    }

    &::-webkit-search-cancel-button {
        appearance: none;
        background: url(~assets/icons/delete_icon.svg) no-repeat 50% 50%;
        background-size: size(18) size(18);
        display: flex;
        align-items: center;
        justify-content: center;
        border: none;
        padding: 0;
        cursor: pointer;
        box-sizing: border-box;
        z-index: 1;
        border-radius: 4px;
        // box-shadow: rgba(0, 0, 0, 0.05) 0px 0px 0px 1px;
        width: size(18);
        height: size(18);
    }
}
